OAG MQ Series 8 Support (Doc ID 2112690.1)

Last updated on JANUARY 03, 2017

Applies to:

Oracle API Gateway - Version 11.1.2 and later
Information in this document applies to any platform.

Goal

After successfully configuring the integration between Oracle API Gateway 11.1.2.4.0 and IBM MQ Series v7, an attempt is made to connect to MQ version 8.  This returns the following error:

Caused by: com.ibm.mq.MQException: JMSCMQ0001: WebSphere MQ call failed with compcode '2' ('MQCC_FAILED') reason '2009' ('MQRC_CONNECTION_BROKEN').

From this, 2 questions are raised:

1. In the latest version of OAG the IBM client files comes prepackaged. Can these files be updated to support MQ Series V8?
2. If an update of the client files for v8 is not possible, when will it be supported?

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms